Code Beautifier
CSS Formatter and Optimiser based on csstidy 1.3

Language: EN DE FR PT

AddThis Social Bookmark Button

Your code should be well-formed. This is no validator which points out errors in your CSS code. To make sure that your code is valid, use the W3C Validator.
CSS Input CSS-Code: ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel-son-of-suckerfish-horizontal, ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel_active-son-of-suckerfish-horizontal, ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel_current-son-of-suckerfish-horizontal, ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel-son-of-suckerfish-horizontal:link, ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel_active-son-of-suckerfish-horizontal:link, ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel_current-son-of-suckerfish-horizontal:link, ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel-son-of-suckerfish-horizontal:visited, ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel_active-son-of-suckerfish-horizontal:visited, ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel_current-son-of-suckerfish-horizontal:visited { background:none; color: #fff; border-top:none;border-bottom:1px solid #000000; border-left:none;border-right:1px solid #000000; } ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel-son-of-suckerfish-horizontal:hover, ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel_active-son-of-suckerfish-horizontal:hover, ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel_current-son-of-suckerfish-horizontal:hover { background-color: #64BA3A; color:#ff0000; } ul.mainlevel-son-of-suckerfish-horizontal .expanded { display: block; background-image: url("../images/arrow.gif"); background-position: right center; background-repeat: no-repeat; padding-right: 20px; } ul.mainlevel-son-of-suckerfish-horizontal ul .expanded { display: block; background-image: url("../images/arrow_right.gif"); background-position: right center; background-repeat: no-repeat; padding-right: 5px; } /** customize style / layout here */ a.mainlevel-son-of-suckerfish-horizontal, a.mainlevel_active-son-of-suckerfish-horizontal, a.mainlevel_current-son-of-suckerfish-horizontal, span.mainlevel-son-of-suckerfish-horizontal, a.mainlevel-son-of-suckerfish-horizontal:link, a.mainlevel_active-son-of-suckerfish-horizontal:link, a.mainlevel_current-son-of-suckerfish-horizontal:link, a.mainlevel-son-of-suckerfish-horizontal:visited, a.mainlevel_active-son-of-suckerfish-horizontal:visited, a.mainlevel_current-son-of-suckerfish-horizontal:visited, a.mainlevel-son-of-suckerfish-horizontal:hover, a.mainlevel_active-son-of-suckerfish-horizontal:hover, a.mainlevel_current-son-of-suckerfish-horizontal:hover { font-weight:normal; font-size: 100%; text-align: left; text-decoration: none; display: block; padding: 0.5em 0.5em 0.3em 0.5em; line-height:22px; color:#333; /* top, right, bottom, left */ } a.sublevel-son-of-suckerfish-horizontal, a.sublevel_active-son-of-suckerfish-horizontal, a.sublevel_current-son-of-suckerfish-horizontal, span.sublevel-son-of-suckerfish-horizontal, a.sublevel-son-of-suckerfish-horizontal:link, a.sublevel_active-son-of-suckerfish-horizontal:link, a.sublevel_current-son-of-suckerfish-horizontal:link, a.sublevel-son-of-suckerfish-horizontal:visited, a.sublevel_active-son-of-suckerfish-horizontal:visited, a.sublevel_current-son-of-suckerfish-horizontal:visited { background: inherit; border-top:none;border-bottom:1px solid #000000; border-left:none;border-right:1px solid #000000; color:#ff0000; font-weight:normal; font-size: 100%; text-align: left; text-decoration: none; display: block; padding: 0.3em 0.5em 0.3em 0.5em; /* top, right, bottom, left */} a.sublevel-son-of-suckerfish-horizontal:hover, a.sublevel_active-son-of-suckerfish-horizontal:hover, a.sublevel_current-son-of-suckerfish-horizontal:hover { background: #51A22A; color:#ff0000; font-weight:bold; font-size: 100%; text-align: left; text-decoration: none; display: block; padding: 0.3em 0.5em 0.3em 0.5em; /* top, right, bottom, left */ } a.sublevel-son-of-suckerfish-horizontal, a.sublevel_active-son-of-suckerfish-horizontal, a.sublevel_current-son-of-suckerfish-horizontal, span.sublevel-son-of-suckerfish-horizontal { border-top: none; height: 1%; /* this is required for the IE to cause the "hasLayout" property and make the whole anchor clickable - "Holly Hack" */ } a.mainlevel_active-son-of-suckerfish-horizontal, a.mainlevel_current-son-of-suckerfish-horizontal, a.mainlevel_active-son-of-suckerfish-horizontal:link, a.mainlevel_current-son-of-suckerfish-horizontal:link, a.mainlevel_active-son-of-suckerfish-horizontal:visited, a.mainlevel_current-son-of-suckerfish-horizontal:visited, a.mainlevel_active-son-of-suckerfish-horizontal:hover, a.mainlevel_current-son-of-suckerfish-horizontal:hover, a.sublevel_active-son-of-suckerfish-horizontal, a.sublevel_current-son-of-suckerfish-horizontal, a.sublevel_active-son-of-suckerfish-horizontal:link, a.sublevel_current-son-of-suckerfish-horizontal:link, a.sublevel_active-son-of-suckerfish-horizontal:visited, a.sublevel_current-son-of-suckerfish-horizontal:visited, a.sublevel_active-son-of-suckerfish-horizontal:hover, a.sublevel_current-son-of-suckerfish-horizontal:hover { font-weight: bold; color:#ff0000; } #active_menu-son-of-suckerfish-horizontal, li a.mainlevel_active-son-of-suckerfish-horizontal, li a.mainlevel_current-son-of-suckerfish-horizontal, li a.mainlevel_active-son-of-suckerfish-horizontal:link, li a.mainlevel_current-son-of-suckerfish-horizontal:link, li a.mainlevel_active-son-of-suckerfish-horizontal:visited, li a.mainlevel_current-son-of-suckerfish-horizontal:visited, li a.mainlevel_active-son-of-suckerfish-horizontal:hover, li a.mainlevel_current-son-of-suckerfish-horizontal:hover, li a.sublevel_active-son-of-suckerfish-horizontal, li a.sublevel_current-son-of-suckerfish-horizontal, li a.sublevel_active-son-of-suckerfish-horizontal:link, li a.sublevel_current-son-of-suckerfish-horizontal:link, li a.sublevel_active-son-of-suckerfish-horizontal:visited, li a.sublevel_current-son-of-suckerfish-horizontal:visited, li a.sublevel_active-son-of-suckerfish-horizontal:hover, li a.sublevel_current-son-of-suckerfish-horizontal:hover { font-weight: bold; padding-left:5px; } ul.mainlevel-son-of-suckerfish-horizontal{ padding: 0 0 0 0; margin: 0; list-style: none; line-height:22px; z-index: 100; } .mainlevel-son-of-suckerfish-horizontal ul { padding: 0 0 0 0; margin: 0; list-style: none; line-height:22px; z-index: 100; } .mainlevel-son-of-suckerfish-horizontal ul ul { padding: 4px 0 0 0; margin: 0; list-style: none; line-height:22px; z-index: 100; } ul.mainlevel-son-of-suckerfish-horizontal li { padding: 0; margin: 0; float: left; } ul.mainlevel-son-of-suckerfish-horizontal li li { position: relative; display: block; width: 12em; } ul.mainlevel-son-of-suckerfish-horizontal ul { display: block; position: absolute; left: -999em; margin: -0.3em 0 0 -0.6em; width: auto; height: auto; z-index: 101; } ul.mainlevel-son-of-suckerfish-horizontal li li ul { margin: -1.8em 0 0 12em; z-index: 102; } ul.mainlevel-son-of-suckerfish-horizontal li:hover ul, ul.mainlevel-son-of-suckerfish-horizontal li.hover ul { left: auto; } ul.mainlevel-son-of-suckerfish-horizontal li:hover ul ul, ul.mainlevel-son-of-suckerfish-horizontal li.hover ul ul { left: -999em; } ul.mainlevel-son-of-suckerfish-horizontal li:hover ul li:hover ul, ul.mainlevel-son-of-suckerfish-horizontal li.hover ul li.hover ul { left: auto; } ul.mainlevel-son-of-suckerfish-horizontal, ul.mainlevel-son-of-suckerfish-horizontal li li { clear: left; } /** separator */ span.mainlevel-son-of-suckerfish-horizontal, span.sublevel-son-of-suckerfish-horizontal { display: block; width: 1em; border-width: 0px; margin-left: 1em; padding: 0; padding-top: 1px; } /** IE5.0/win workaround: the ">" is handled like a "," */ ul.mainlevel-son-of-suckerfish-horizontal > ul.mainlevel-son-of-suckerfish-horizontal { position: absolute; top: 5em; /* change the absolute position for IE5.0 here */ } ul.mainlevel-son-of-suckerfish-horizontal > ul.mainlevel-son-of-suckerfish-horizontal li.hover ul { margin: 0.1em 0 0 0em; /* top, right, bottom, left */ } ul.mainlevel-son-of-suckerfish-horizontal > ul.mainlevel-son-of-suckerfish-horizontal li.hover ul ul { margin: -1.6em 0 0 10em; /* top, right, bottom, left */ } #xtd_menu a { font-size:11px; font-weight:bold; font-family:Arial,Tahoma,verdana, Helvetica, sans-serif; line-height:22px; } #xtd_menu li li a { background:#131313; color:#FFFFFF;} #xtd_menu li li a:hover, #xtd_menu li li { background:#CCCCCC;} #xtd_menu a:hover { font-size:11px; font-weight:bold; font-family:Arial,Tahoma,verdana, Helvetica, sans-serif; line-height:22px; } #xtd_menu .mainlevel-son-of-suckerfish-horizontal li { list-style:none; padding-left:8px; } #xtd_menu .mainlevel-son-of-suckerfish-horizontal li.li_active { background:url(../images/left_sfish.gif) no-repeat; list-style:none; background-position:0% -31px; padding-left:10px; } #xtd_menu .mainlevel-son-of-suckerfish-horizontal li.li_activo { background:url(../images/left_sfish.gif) no-repeat; list-style:none; background-position:0% -31px; padding-left:12px;color:#666666; } #xtd_menu .mainlevel-son-of-suckerfish-horizontal li.li_activo ul li { background:none; list-style:none; padding-left:0px;color:#666666; } #xtd_menu .mainlevel-son-of-suckerfish-horizontal li.li_active .sublevel-son-of-suckerfish-horizontal { list-style:none; background: #131313; padding-left:8px;color:#fff; } #xtd_menu .mainlevel-son-of-suckerfish-horizontal li.li_active .sublevel-son-of-suckerfish-horizontal:hover { list-style:none; background: #000000; padding-left:8px;color:#fff; } /*#xtd_menu .mainlevel-son-of-suckerfish-horizontal li.li_active ul li a#active_menu-son-of-suckerfish-horizontal { list-style:none; padding-left:8px;color:#666; background: #333333; } */ #xtd_menu .mainlevel-son-of-suckerfish-horizontal li.li_activo .mainlevel_active-son-of-suckerfish-horizontal { font-size:11px; font-weight:bold; font-family:Arial,Tahoma,verdana, Helvetica, sans-serif; line-height:22px; color:#ff0000; padding-left:0px;} #xtd_menu .mainlevel-son-of-suckerfish-horizontal ul li.li_active { padding-left:0; list-style:none; background:none; } #xtd_menu .mainlevel-son-of-suckerfish-horizontal li:hover { } #xtd_menu .mainlevel-son-of-suckerfish-horizontal li a:hover { color:#ff0000; } #xtd_menu a.sublevel-son-of-suckerfish-horizontal { background:#131313; padding-right:5px; color:#FFFFFF;} #xtd_menu a.sublevel-son-of-suckerfish-horizontal:hover { background: #000000; color:#FFFFFF;} #xtd_menu .sublevel-son-of-suckerfish-horizontal li { background:none;} #xtd_menu ul.mainlevel-son-of-suckerfish-horizontal li ul li { margin-left:0; padding-left:0px; background:none; } #xtd_menu ul.mainlevel-son-of-suckerfish-horizontal li ul li ul li{ padding-left:0px; } #xtd_menu a.mainlevel-son-of-suckerfish-horizontal{ color: #FFFFFF; padding-right:10px; margin-left:4px; } #xtd_menu a.mainlevel-son-of-suckerfish-horizontal:hover, #xtd_menu a.mainlevel-son-of-suckerfish-horizontal:hover {text-decoration:underline;} #xtd_menu a.mainlevel_current-son-of-suckerfish-horizontal{ background:url(../images/right.gif) no-repeat; background-position:100% -31px; color: #333333; padding-right:8px; padding-left:0px; margin-left:4px; } #xtd_menu a.mainlevel_active-son-of-suckerfish-horizontal { background:url(../images/right.gif) no-repeat; background-position:100% -31px; padding-bottom: 4px; color:#ff0000; padding-bottom: 0px; padding-right:15px; padding-left:0px; margin-left:4px; } #xtd_menu li.li_active a#active_menu-son-of-suckerfish-horizontal { background-position:100% -31px; padding-bottom: 4px; color:#ff0000; } #xtd_menu li.li_active li li a#active_menu-son-of-suckerfish-horizontal { color:#ffffff; padding-right:25px; } #xtd_menu li.li_active a li{ background: #333333; padding-bottom: 4px; color: #666; padding-right:25px; } #xtd_menu li a .sublevel_current-son-of-suckerfish-horizontal{ background: #333333; padding-bottom: 4px; color: #666; padding-right:25px; } CSS from URL:
Code Layout Compression (code layout): Custom template
Options Preserve CSS Sort Selectors (caution) Sort Properties Regroup selectors Optimise shorthands Compress colors Compress font-weight Lowercase selectors Case for properties: None Lowercase Uppercase Remove unnecessary backslashes Remove last ; Discard invalid properties Add timestamp Output as file
 
Messages

7
    Optimised color: Changed "#000000" to "#000"
8
    Optimised color: Changed "#000000" to "#000"
14
    Optimised color: Changed "#ff0000" to "red"
43
    Optimised font-weight: Changed "normal" to "400"
48
    Optimised number: Changed "0.5em" to ".5em"
    Optimised number: Changed "0.3em" to ".3em"
    Optimised shorthand notation (padding): Changed ".5em .5em .3em .5em" to ".5em .5em .3em"
66
    Optimised color: Changed "#000000" to "#000"
67
    Optimised color: Changed "#000000" to "#000"
68
    Optimised color: Changed "#ff0000" to "red"
69
    Optimised font-weight: Changed "normal" to "400"
77
    Optimised number: Changed "0.3em" to ".3em"
    Optimised number: Changed "0.5em" to ".5em"
    Optimised shorthand notation (padding): Changed ".3em .5em .3em .5em" to ".3em .5em"
81
    Optimised color: Changed "#ff0000" to "red"
82
    Optimised font-weight: Changed "bold" to "700"
87
    Optimised number: Changed "0.3em" to ".3em"
    Optimised number: Changed "0.5em" to ".5em"
    Optimised shorthand notation (padding): Changed ".3em .5em .3em .5em" to ".3em .5em"
107
    Optimised font-weight: Changed "bold" to "700"
110
    Optimised color: Changed "#ff0000" to "red"
128
    Optimised font-weight: Changed "bold" to "700"
138
    Optimised shorthand notation (padding): Changed "0 0 0 0" to "0"
146
    Optimised shorthand notation (padding): Changed "0 0 0 0" to "0"
153
    Optimised shorthand notation (padding): Changed "4px 0 0 0" to "4px 0 0"
179
    Optimised number: Changed "-0.3em" to "-.3em"
    Optimised number: Changed "-0.6em" to "-.6em"
214
    Optimised number: Changed "0px" to "0"
226
    Optimised number: Changed "0.1em" to ".1em"
    Optimised number: Changed "0em" to "0"
    Optimised shorthand notation (margin): Changed ".1em 0 0 0" to ".1em 0 0"
233
    Optimised font-weight: Changed "bold" to "700"
244
    Optimised color: Changed "#FFFFFF" to "#FFF"
248
    Optimised color: Changed "#000000" to "#000"
251
    Optimised font-weight: Changed "bold" to "700"
270
    Optimised number: Changed "0%" to "0"
281
    Optimised number: Changed "0%" to "0"
282
    Optimised color: Changed "#666666" to "#666"
290
    Optimised number: Changed "0px" to "0"
    Optimised color: Changed "#666666" to "#666"
305
    Optimised color: Changed "#000000" to "#000"
320
    Optimised font-weight: Changed "bold" to "700"
323
    Optimised color: Changed "#ff0000" to "red"
324
    Optimised number: Changed "0px" to "0"
343
    Optimised color: Changed "#ff0000" to "red"
351
    Optimised color: Changed "#FFFFFF" to "#FFF"
353
    Optimised color: Changed "#000000" to "#000"
354
    Optimised color: Changed "#FFFFFF" to "#FFF"
360
    Optimised number: Changed "0px" to "0"
366
    Optimised number: Changed "0px" to "0"
373
    Optimised color: Changed "#FFFFFF" to "#FFF"
382
    Optimised color: Changed "#333333" to "#333"
384
    Optimised number: Changed "0px" to "0"
394
    Optimised color: Changed "#ff0000" to "red"
395
    Optimised number: Changed "0px" to "0"
397
    Optimised number: Changed "0px" to "0"
405
    Optimised color: Changed "#ff0000" to "red"
417
    Optimised color: Changed "#ffffff" to "#fff"
429
    Optimised color: Changed "#333333" to "#333"
437
    Optimised color: Changed "#333333" to "#333"

Input: 12.623KB, Output:10.606KB, Compression Ratio: 16%(-2017 Bytes)
Select or Copy to Clipboard

ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel-son-of-suckerfish-horizontal,ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel_active-son-of-suckerfish-horizontal,ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel_current-son-of-suckerfish-horizontal,ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel-son-of-suckerfish-horizontal:link,ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel_active-son-of-suckerfish-horizontal:link,ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel_current-son-of-suckerfish-horizontal:link,ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel-son-of-suckerfish-horizontal:visited,ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel_active-son-of-suckerfish-horizontal:visited,ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel_current-son-of-suckerfish-horizontal:visited {
background:none;
color:#fff;
border-top:none;
border-bottom:1px solid #000;
border-left:none;
border-right:1px solid #000;
}

ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel-son-of-suckerfish-horizontal:hover,ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel_active-son-of-suckerfish-horizontal:hover,ul.mainlevel-son-of-suckerfish-horizontal ul ul a.sublevel_current-son-of-suckerfish-horizontal:hover {
background-color:#64BA3A;
color:red;
}

ul.mainlevel-son-of-suckerfish-horizontal .expanded {
display:block;
background-image:url(../images/arrow.gif);
background-position:right center;
background-repeat:no-repeat;
padding-right:20px;
}

ul.mainlevel-son-of-suckerfish-horizontal ul .expanded {
display:block;
background-image:url(../images/arrow_right.gif);
background-position:right center;
background-repeat:no-repeat;
padding-right:5px;
}

a.mainlevel-son-of-suckerfish-horizontal,a.mainlevel_active-son-of-suckerfish-horizontal,a.mainlevel_current-son-of-suckerfish-horizontal,span.mainlevel-son-of-suckerfish-horizontal,a.mainlevel-son-of-suckerfish-horizontal:link,a.mainlevel_active-son-of-suckerfish-horizontal:link,a.mainlevel_current-son-of-suckerfish-horizontal:link,a.mainlevel-son-of-suckerfish-horizontal:visited,a.mainlevel_active-son-of-suckerfish-horizontal:visited,a.mainlevel_current-son-of-suckerfish-horizontal:visited,a.mainlevel-son-of-suckerfish-horizontal:hover,a.mainlevel_active-son-of-suckerfish-horizontal:hover,a.mainlevel_current-son-of-suckerfish-horizontal:hover {
font-weight:400;
font-size:100%;
text-align:left;
text-decoration:none;
display:block;
line-height:22px;
color:#333;
padding:.5em .5em .3em;
}

a.sublevel-son-of-suckerfish-horizontal,a.sublevel_active-son-of-suckerfish-horizontal,a.sublevel_current-son-of-suckerfish-horizontal,span.sublevel-son-of-suckerfish-horizontal,a.sublevel-son-of-suckerfish-horizontal:link,a.sublevel_active-son-of-suckerfish-horizontal:link,a.sublevel_current-son-of-suckerfish-horizontal:link,a.sublevel-son-of-suckerfish-horizontal:visited,a.sublevel_active-son-of-suckerfish-horizontal:visited,a.sublevel_current-son-of-suckerfish-horizontal:visited {
background:inherit;
border-top:none;
border-bottom:1px solid #000;
border-left:none;
border-right:1px solid #000;
color:red;
font-weight:400;
font-size:100%;
text-align:left;
text-decoration:none;
display:block;
padding:.3em .5em;
}

a.sublevel-son-of-suckerfish-horizontal:hover,a.sublevel_active-son-of-suckerfish-horizontal:hover,a.sublevel_current-son-of-suckerfish-horizontal:hover {
background:#51A22A;
color:red;
font-weight:700;
font-size:100%;
text-align:left;
text-decoration:none;
display:block;
padding:.3em .5em;
}

a.sublevel-son-of-suckerfish-horizontal,a.sublevel_active-son-of-suckerfish-horizontal,a.sublevel_current-son-of-suckerfish-horizontal,span.sublevel-son-of-suckerfish-horizontal {
border-top:none;
height:1%;
}

a.mainlevel_active-son-of-suckerfish-horizontal,a.mainlevel_current-son-of-suckerfish-horizontal,a.mainlevel_active-son-of-suckerfish-horizontal:link,a.mainlevel_current-son-of-suckerfish-horizontal:link,a.mainlevel_active-son-of-suckerfish-horizontal:visited,a.mainlevel_current-son-of-suckerfish-horizontal:visited,a.mainlevel_active-son-of-suckerfish-horizontal:hover,a.mainlevel_current-son-of-suckerfish-horizontal:hover,a.sublevel_active-son-of-suckerfish-horizontal,a.sublevel_current-son-of-suckerfish-horizontal,a.sublevel_active-son-of-suckerfish-horizontal:link,a.sublevel_current-son-of-suckerfish-horizontal:link,a.sublevel_active-son-of-suckerfish-horizontal:visited,a.sublevel_current-son-of-suckerfish-horizontal:visited,a.sublevel_active-son-of-suckerfish-horizontal:hover,a.sublevel_current-son-of-suckerfish-horizontal:hover {
font-weight:700;
color:red;
}

#active_menu-son-of-suckerfish-horizontal,li a.mainlevel_active-son-of-suckerfish-horizontal,li a.mainlevel_current-son-of-suckerfish-horizontal,li a.mainlevel_active-son-of-suckerfish-horizontal:link,li a.mainlevel_current-son-of-suckerfish-horizontal:link,li a.mainlevel_active-son-of-suckerfish-horizontal:visited,li a.mainlevel_current-son-of-suckerfish-horizontal:visited,li a.mainlevel_active-son-of-suckerfish-horizontal:hover,li a.mainlevel_current-son-of-suckerfish-horizontal:hover,li a.sublevel_active-son-of-suckerfish-horizontal,li a.sublevel_current-son-of-suckerfish-horizontal,li a.sublevel_active-son-of-suckerfish-horizontal:link,li a.sublevel_current-son-of-suckerfish-horizontal:link,li a.sublevel_active-son-of-suckerfish-horizontal:visited,li a.sublevel_current-son-of-suckerfish-horizontal:visited,li a.sublevel_active-son-of-suckerfish-horizontal:hover,li a.sublevel_current-son-of-suckerfish-horizontal:hover {
font-weight:700;
padding-left:5px;
}

.mainlevel-son-of-suckerfish-horizontal ul ul {
list-style:none;
line-height:22px;
z-index:100;
margin:0;
padding:4px 0 0;
}

ul.mainlevel-son-of-suckerfish-horizontal li {
float:left;
margin:0;
padding:0;
}

ul.mainlevel-son-of-suckerfish-horizontal li li {
position:relative;
display:block;
width:12em;
}

ul.mainlevel-son-of-suckerfish-horizontal ul {
display:block;
position:absolute;
left:-999em;
width:auto;
height:auto;
z-index:101;
margin:-.3em 0 0 -.6em;
}

ul.mainlevel-son-of-suckerfish-horizontal li li ul {
z-index:102;
margin:-1.8em 0 0 12em;
}

ul.mainlevel-son-of-suckerfish-horizontal li:hover ul ul,ul.mainlevel-son-of-suckerfish-horizontal li.hover ul ul {
left:-999em;
}

ul.mainlevel-son-of-suckerfish-horizontal,ul.mainlevel-son-of-suckerfish-horizontal li li {
clear:left;
}

span.mainlevel-son-of-suckerfish-horizontal,span.sublevel-son-of-suckerfish-horizontal {
display:block;
width:1em;
margin-left:1em;
border-width:0;
padding:1px 0 0;
}

ul.mainlevel-son-of-suckerfish-horizontal > ul.mainlevel-son-of-suckerfish-horizontal {
position:absolute;
top:5em;
}

ul.mainlevel-son-of-suckerfish-horizontal > ul.mainlevel-son-of-suckerfish-horizontal li.hover ul {
margin:.1em 0 0;
}

ul.mainlevel-son-of-suckerfish-horizontal > ul.mainlevel-son-of-suckerfish-horizontal li.hover ul ul {
margin:-1.6em 0 0 10em;
}

#xtd_menu li li a {
background:#131313;
color:#FFF;
}

#xtd_menu li li a:hover,#xtd_menu li li {
background:#000000;
}

#xtd_menu .mainlevel-son-of-suckerfish-horizontal li {
list-style:none;
padding-left:8px;
}

#xtd_menu .mainlevel-son-of-suckerfish-horizontal li.li_active {
background:url(../images/left_sfish.gif) no-repeat;
list-style:none;
background-position:0 -31px;
padding-left:10px;
}

#xtd_menu .mainlevel-son-of-suckerfish-horizontal li.li_activo {
background:url(../images/left_sfish.gif) no-repeat;
list-style:none;
background-position:0 -31px;
padding-left:12px;
color:#666;
}

#xtd_menu .mainlevel-son-of-suckerfish-horizontal li.li_activo ul li {
background:none;
list-style:none;
padding-left:0;
color:#666;
}

#xtd_menu .mainlevel-son-of-suckerfish-horizontal li.li_active .sublevel-son-of-suckerfish-horizontal {
list-style:none;
background:#131313;
padding-left:8px;
color:#fff;
}

#xtd_menu .mainlevel-son-of-suckerfish-horizontal li.li_active .sublevel-son-of-suckerfish-horizontal:hover {
list-style:none;
background:#CCC;
padding-left:8px;
color:#fff;
}

#xtd_menu .mainlevel-son-of-suckerfish-horizontal li.li_activo .mainlevel_active-son-of-suckerfish-horizontal {
font-size:11px;
font-weight:700;
font-family:Arial,Tahoma,verdana, Helvetica, sans-serif;
line-height:22px;
color:red;
padding-left:0;
}

#xtd_menu .mainlevel-son-of-suckerfish-horizontal ul li.li_active {
padding-left:0;
list-style:none;
background:none;
}

#xtd_menu .mainlevel-son-of-suckerfish-horizontal li a:hover {
color:red;
}

#xtd_menu a.sublevel-son-of-suckerfish-horizontal {
background:#131313;
padding-right:5px;
color:#FFF;
}

#xtd_menu a.sublevel-son-of-suckerfish-horizontal:hover {
background:#CCC;
color:#FFF;
}

#xtd_menu .sublevel-son-of-suckerfish-horizontal li {
background:#CCC;
}

#xtd_menu ul.mainlevel-son-of-suckerfish-horizontal li ul li {
margin-left:0;
padding-left:0;
background:none;
}

#xtd_menu ul.mainlevel-son-of-suckerfish-horizontal li ul li ul li {
padding-left:0;
}

#xtd_menu a.mainlevel-son-of-suckerfish-horizontal {
color:#FFF;
padding-right:10px;
margin-left:4px;
}

#xtd_menu a.mainlevel-son-of-suckerfish-horizontal:hover,#xtd_menu a.mainlevel-son-of-suckerfish-horizontal:hover {
text-decoration:underline;
}

#xtd_menu a.mainlevel_current-son-of-suckerfish-horizontal {
background:url(../images/right.gif) no-repeat;
background-position:100% -31px;
color:#333;
padding-right:8px;
padding-left:0;
margin-left:4px;
}

#xtd_menu a.mainlevel_active-son-of-suckerfish-horizontal {
background:url(../images/right.gif) no-repeat;
background-position:100% -31px;
color:red;
padding-bottom:0;
padding-right:15px;
padding-left:0;
margin-left:4px;
}

#xtd_menu li.li_active a#active_menu-son-of-suckerfish-horizontal {
background-position:100% -31px;
padding-bottom:4px;
color:red;
}

#xtd_menu li.li_active li li a#active_menu-son-of-suckerfish-horizontal {
color:#fff;
padding-right:25px;
}

ul.mainlevel-son-of-suckerfish-horizontal,.mainlevel-son-of-suckerfish-horizontal ul {
list-style:none;
line-height:22px;
z-index:100;
margin:0;
padding:0;
}

ul.mainlevel-son-of-suckerfish-horizontal li:hover ul,ul.mainlevel-son-of-suckerfish-horizontal li.hover ul,ul.mainlevel-son-of-suckerfish-horizontal li:hover ul li:hover ul,ul.mainlevel-son-of-suckerfish-horizontal li.hover ul li.hover ul {
left:auto;
}

#xtd_menu a,#xtd_menu a:hover {
font-size:11px;
font-weight:700;
font-family:Arial,Tahoma,verdana, Helvetica, sans-serif;
line-height:22px;
}

#xtd_menu li.li_active a li,#xtd_menu li a .sublevel_current-son-of-suckerfish-horizontal {
background:#333;
padding-bottom:4px;
color:#666;
padding-right:25px;
}

brought by codebeautifier.com | for bugs and suggestions feel free to contact me

kwd: css margin, source code review, styles css, code review tool, plsql formatter, code review guidelines, css web development, css web design, code review, code css generator, code review checklist, pretty print c++, jalopy, protect java code, asp source code, css border, css design, sql beautifier, java css, css text align, formatter java, css background color, css align, css padding
